/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;


/**
 * 缺陷趋势信息临时表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷趋势信息临时表")
public class BugTendencyChartTmp extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_bugStatus = "bugStatus";
  public static final String KEY_amount = "amount";
  public static final String KEY_createdTime = "createdTime";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 缺陷状态<br>
   */
  @ApiModelProperty("缺陷状态")
  @Size(max = 50, message="缺陷状态-bugStatus: 数据长度不能 > 50" )
  private String bugStatus;
  /**
   * 数量<br>
   */
  @ApiModelProperty("数量")
  private Integer amount;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createdTime: 数据长度不能 > 50" )
  private String createdTime;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 缺陷状态<br>
   */
  public String getBugStatus()
  {
      return bugStatus;
    }

  /**
   * 缺陷状态<br>
   *
   * @param bugStatus 缺陷状态
   */
  public void setBugStatus(String bugStatus)
  {
      this.bugStatus = bugStatus;
    }
  /**
   * 数量<br>
   */
  public Integer getAmount()
  {
      return amount;
    }

  /**
   * 数量<br>
   *
   * @param amount 数量
   */
  public void setAmount(Integer amount)
  {
      this.amount = amount;
    }
  /**
   * 创建时间<br>
   */
  public String getCreatedTime()
  {
      return createdTime;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(String createdTime)
  {
      this.createdTime = createdTime;
    }

  public BugTendencyChartTmp()
  {
  }

}
